nvmf_hostnqn_generate_from_hostid(2)

NAME
nvmf_hostnqn_generate_from_hostid - Generate a host nqn from host identifier

SYNOPSIS
char * nvmf_hostnqn_generate_from_hostid (char *hostid );

ARGUMENTS

hostid
    Host identifier

DESCRIPTION
If hostid is NULL, the function generates it based on the machine identifier.

RETURN
On success, an NVMe Qualified Name for host identification. This name is based on the given host identifier. On failure, NULL.